package cn.iocoder.yudao.module.system.dal.mysql.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ItemPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NurseItemDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface NurseItemMapper extends BaseMapperX<NurseItemDO> {


    default PageResult<NurseItemDO> selectPage(ItemPageReqVO reqVO) {
        return selectPage(reqVO,new LambdaQueryWrapperX<NurseItemDO>().eqIfPresent(NurseItemDO::getStatus,reqVO.getStatus())
                .eqIfPresent(NurseItemDO::getCategoryId,reqVO.getCategoryId())
                .eqIfPresent(NurseItemDO::getType,reqVO.getType())
                .inIfPresent(NurseItemDO::getTenantId,reqVO.getTenantIds())
                .eqIfPresent(NurseItemDO::getOrgType,reqVO.getOrgType())
                .orderByDesc(NurseItemDO::getCreateTime));
    }
}
